/****************************************************************************
**
** Copyright (C) 1992-2006 Trolltech ASA. All rights reserved.
**
** This file is part of the example classes of the Qt Toolkit.
**
** This file may be used under the terms of the GNU General Public
** License version 2.0 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.  Please review the following information to ensure GNU
** General Public Licensing requirements will be met:
** http://www.trolltech.com/products/qt/opensource.html
**
** If you are unsure which license is appropriate for your use, please
** review the following information:
** http://www.trolltech.com/products/qt/licensing.html or contact the
** sales department at sales@trolltech.com.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef CHAT_H
#define CHAT_H

#include <QtCore/QStringList>
#include <QtCore/QByteArray>
#include <QtDBus/QtDBus>

class MainClass : public QObject/*QMainWindow, Ui::ChatMainWindow*/
{
    Q_OBJECT
public:
    MainClass();
    virtual ~MainClass();

signals:
private slots:
    void countersSlot(const QByteArray &byte_arr);
    QString get_csq(uchar &rssi, uchar &ber);
    QString get_money_atd(QString &money);
    QString get_money_cusd(QString &money);
};

class NicknameDialog: public QObject/*QDialog, public Ui::NicknameDialog*/
{
    Q_OBJECT
public:
    NicknameDialog(QObject *parent = 0);
    virtual ~NicknameDialog();
};

#endif
